function [ nodes ] = rGetNodesByType( con, type )
%RGETNODESBYTYPE Summary of this function goes here
%   Detailed explanation goes here

% searching for predefinded prefixes

carreSensors = 'http://carre.kmi.open.ac.uk/ontology/sensors.owl#';
carreRisk    = 'http://carre.kmi.open.ac.uk/ontology/risk.owl#';

if     strcmp(type(1:2), 's:')
    type = [carreSensors type(3:end)];
elseif strcmp(type(1:2), 'r:')
    type = [carreRisk    type(3:end)];
end

% query = [...
%     'SELECT ?n '...
%     'WHERE { '...
%     '  {SERVICE <http://carre.kmi.open.ac.uk/sparql> '...
%     '    { ?n <http://www.w3.org/1999/02/22-rdf-syntax-ns#type> <' type '> . }} '...
%     '  UNION { ?n a <' type '> . } '...
%     '} '];

query = [...
    'SELECT DISTINCT ?s '...
    'WHERE { '...
    '  {SERVICE <http://carre.kmi.open.ac.uk/sparql> '...
    '    {{ ?s a <' type '> . }'...
    '    UNION { ?s <http://www.w3.org/1999/02/22-rdf-syntax-ns#type> <' type '>}'...
    '    UNION { ?s <http://www.w3.org/2000/01/rdf-schema#type> <' type '>}}} '...
    '  UNION { ?s a <' type '> . } '...
    '  UNION { ?s <http://www.w3.org/1999/02/22-rdf-syntax-ns#type> <' type '> . } '...
    '  UNION { ?s <http://www.w3.org/2000/01/rdf-schema#type> <' type '> . } '...
    '} '];

[ data ] = rQuery( con, query );

nodes = {};
for k = 1:length(data)
    nodes{k,1} = data{k}.s.value;
end

end

