function [ types ] = rGetTypes( con, from)
%RGETTYPES Summary of this function goes here
%   Detailed explanation goes here

% FROM - from what repository?
% 1 - all (default): risk factors etc and from user grapf
% 2 - risk factors etc
% 3 - user grapf

if nargin == 1
    from = 1;
end
%http://www.w3.org/2000/01/rdf-schema#type
if from == 1
    query = [...
        'SELECT DISTINCT ?t '...
        'WHERE { '...
        '  {SERVICE <http://carre.kmi.open.ac.uk/sparql> '...
        '    {{ ?s a ?t . }'...
        '    UNION { ?s <http://www.w3.org/1999/02/22-rdf-syntax-ns#type> ?t}'...
        '    UNION { ?s <http://www.w3.org/2000/01/rdf-schema#type> ?t}}} '...
        '  UNION { ?s a ?t . } '...
        '  UNION { ?s <http://www.w3.org/1999/02/22-rdf-syntax-ns#type> ?t . } '...
        '  UNION { ?s <http://www.w3.org/2000/01/rdf-schema#type> ?t . } '...
        '} '];
elseif from == 2
    query = [...
        'SELECT DISTINCT ?t '...
        'WHERE { '...
        '  SERVICE <http://carre.kmi.open.ac.uk/sparql> '...
        '    { ?s <http://www.w3.org/1999/02/22-rdf-syntax-ns#type> ?t . } '...
        '} '];
elseif from == 3
    query = [...
        'SELECT DISTINCT ?t '...
        'WHERE { '...
        '    ?s <http://www.w3.org/1999/02/22-rdf-syntax-ns#type> ?t .'...
        '} '];
else
    error('Wrong source');
end

[ data ] = rQuery( con, query );

types = {};
for k = 1:length(data)
    types{k,1} = data{k}.t.value;
end

end

