function rPlotFitbit (con)

%     'http://carre.kmi.open.ac.uk/ontology/sensors.owl#has_steps'
%     'http://carre.kmi.open.ac.uk/ontology/sensors.owl#has_light_activity_duration'
%     'http://carre.kmi.open.ac.uk/ontology/sensors.owl#has_calories_b_m_r'
%     'http://carre.kmi.open.ac.uk/ontology/sensors.owl#has_sedentary_activity_duration'
%     'http://carre.kmi.open.ac.uk/ontology/sensors.owl#has_intense_activity_duration'
%     'http://carre.kmi.open.ac.uk/ontology/sensors.owl#has_intense_activity_distance'
%     'http://carre.kmi.open.ac.uk/ontology/sensors.owl#has_sedentary_activity_distance'
%     'http://carre.kmi.open.ac.uk/ontology/sensors.owl#has_actuality'
%     'http://carre.kmi.open.ac.uk/ontology/sensors.owl#has_elevation'
%     'http://carre.kmi.open.ac.uk/ontology/sensors.owl#has_floors'
%     'http://carre.kmi.open.ac.uk/ontology/sensors.owl#has_moderate_activity_duration'
%     'http://carre.kmi.open.ac.uk/ontology/sensors.owl#has_light_activity_distance'
%     'http://carre.kmi.open.ac.uk/ontology/sensors.owl#has_moderate_activity_distance'
%     'http://carre.kmi.open.ac.uk/ontology/sensors.owl#has_tracked_activity_distance'
%     'http://carre.kmi.open.ac.uk/ontology/sensors.owl#has_distance'
%     'http://carre.kmi.open.ac.uk/ontology/sensors.owl#has_activity_calories'
%     'http://carre.kmi.open.ac.uk/ontology/sensors.owl#has_marginal_calories'

%dystans
%tworzenie wykresu dla poszczegolnych dni

[d,m] = rGetMeasurement( con, 's:has_activity_calories');
[d,m] = rCreateDailyMeasurement(d,m);
mPlot(d,m,'Distance','kilometers');




function mPlot(d,m,t,l)

figure;plot(d,m);title(t);ylabel(l);
l = ylim;
l(1) = 0;
ylim(l);