function [ atributes ] = rGetAtributes( con, from)
%RGETTYPES Summary of this function goes here
%   Detailed explanation goes here

% FROM - from what repository?
% 1 - all (default): risk factors etc and from user grapf
% 2 - risk factors etc
% 3 - user grapf

if nargin == 1
    from = 1;
end

if from == 1
    query = [...
        'SELECT DISTINCT ?a '...
        'WHERE { '...
        '  {SERVICE <http://carre.kmi.open.ac.uk/sparql> '...
        '    { ?s ?a ?t . }} '...
        '  UNION { ?s ?a ?t . } '...
        '} '];
elseif from == 2
    query = [...
        'SELECT DISTINCT ?a '...
        'WHERE { '...
        '  SERVICE <http://carre.kmi.open.ac.uk/sparql> '...
        '    { ?s ?a ?t . } '...
        '} '];
elseif from == 3
    query = [...
        'SELECT DISTINCT ?a '...
        'WHERE { '...
        '    ?s ?a ?t .'...
        '} '];
else
    error('Wrong source');
end

[ data ] = rQuery( con, query );

atributes = {};
for k = 1:length(data)
    atributes{k,1} = data{k}.a.value;
end

end