function [ atr ] = rGetNodeAtribute( con, node , atr)
%RGETNODESBYTYPE Summary of this function goes here
%   Detailed explanation goes here

carreSensors = 'http://carre.kmi.open.ac.uk/ontology/sensors.owl#';
carreRisk    = 'http://carre.kmi.open.ac.uk/ontology/risk.owl#';

if     strcmp(atr(1:2), 's:')
    atr = [carreSensors atr(3:end)];
elseif strcmp(atr(1:2), 'r:')
    atr = [carreRisk    atr(3:end)];
end

query = [...
    'SELECT ?v '...
    'WHERE { '...
    '  {SERVICE <http://carre.kmi.open.ac.uk/sparql> '...
    '    { <' node '> <' atr '> ?v . }} '...
    '  UNION { <' node '> <' atr '> ?v . } '...
    '} '];

[ data ] = rQuery( con, query );

atr = cell(length(data),1);
for k = 1:length(data)
    atr{k,1} = data{k}.v.value;
end

end