function [ nodes ] = rGetNodesByAtribue( con, atr )
%RGETNODESBYTYPE Summary of this function goes here
%   Detailed explanation goes here

% searching for predefinded prefixes

carreSensors = 'http://carre.kmi.open.ac.uk/ontology/sensors.owl#';
carreRisk    = 'http://carre.kmi.open.ac.uk/ontology/risk.owl#';

if     strcmp(atr(1:2), 's:')
    atr = [carreSensors atr(3:end)];
elseif strcmp(atr(1:2), 'r:')
    atr = [carreRisk    atr(3:end)];
end

query = [...
    'SELECT ?n '...
    'WHERE { '...
    '  {SERVICE <http://carre.kmi.open.ac.uk/sparql> '...
    '    { ?n <' atr '> ?x . }} '...
    '  UNION { ?n <' atr '> ?x . } '...
    '} '];

[ data ] = rQuery( con, query );

nodes = {};
for k = 1:length(data)
    nodes{k,1} = data{k}.n.value;
end

end